Skip to main content
GET
/
v2
/
teams
/
{teamId}
/
runs
List Runs
curl --request GET \
  --url https://api.duvo.ai/v2/teams/{teamId}/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "source": "<string>",
      "title": "<string>",
      "run_number": 123,
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "case_queue_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "case_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "case_queue_name": "<string>",
      "case_title": "<string>",
      "postponed_to": "2023-11-07T05:31:56Z",
      "submitted_prompt_count": 4503599627370495,
      "eval_summaries": {
        "passed": 123,
        "total": 123,
        "final_comment": "<string>",
        "severityCounts": {
          "critical": 4503599627370495,
          "medium": 4503599627370495,
          "low": 4503599627370495
        }
      }
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Query Parameters

limit
number
default:20

Number of runs per page (1-100, default 20)

Required range: 1 <= x <= 100
offset
number

Number of runs to skip

Required range: x >= 0
sort_by
enum<string>
default:created_at

Field to sort by (default created_at)

Available options:
created_at
sort_order
enum<string>
default:desc

Sort direction (default desc)

Available options:
asc,
desc
status
enum<string>

Filter to runs with this status

Available options:
not_started,
pending,
starting,
running,
waiting,
completed,
failed,
interrupted,
stopped,
needs_attention
agent_id
string<uuid>

Filter to runs for this agent

user_id
string<uuid>

Filter to runs owned by this user; non-superadmin callers are scoped to themselves regardless of this value

case_queue_id
string<uuid>

Filter to runs associated with this case queue

source
string

Filter to runs created from this source (e.g. api, schedule)

Full-text search across run titles and case titles

has_issues
enum<string>

If true, only return runs that have evaluation issues

Available options:
true,
false
issue_severity
enum<string>

If set, only return runs whose latest successful evaluation has at least one failing rubric with this severity (critical | medium | low). Implies has_issues; legacy evaluations without severity companion fields do not match this filter.

Available options:
critical,
medium,
low
since
string<date-time>
digest_id
string<uuid>

Response

Default Response

data
object[]
required
total
number
required